Bug 1563821 - [abrt] gnome-calculator: _gtk_text_btree_get_chars_changed_stamp(): gnome-calculator killed by signal 11
Summary: [abrt] gnome-calculator: _gtk_text_btree_get_chars_changed_stamp(): gnome-cal...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calculator
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2190a11a9cf40186a6edd714f52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 19:49 UTC by dakofufi
Modified: 2018-05-29 11:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:21:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.07 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: core_backtrace (21.95 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: cpuinfo (1.33 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: dso_list (10.42 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: environ (1.61 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: maps (53.32 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: open_fds (884 bytes, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details
File: var_log_messages (28 bytes, text/plain)
2018-04-04 19:50 UTC, dakofufi
no flags Details

Description dakofufi 2018-04-04 19:49:55 UTC
Description of problem:
The calculator started in basic mode.
I entered 64*1024.
The * shows up as an actual multiply sign, which is okay.
I selected the x1024 part.
I pressed control insert in order to copy it.
I pressed shift insert, intending to do that three times, but on the first press it crashed.

Version-Release number of selected component:
gnome-calculator-3.24.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gnome-calculator
crash_function: _gtk_text_btree_get_chars_changed_stamp
executable:     /usr/bin/gnome-calculator
journald_cursor: s=2540e810cff54343929fb6623da48dc5;i=926;b=65e5f417262b408785deec84334a49cd;m=92d7fe0e;t=5690ae8ee3200;x=c92f724cbc06cb14
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_text_btree_get_chars_changed_stamp at gtktextbtree.c:544
 #1 gtk_text_iter_make_surreal at gtktextiter.c:174
 #2 gtk_text_iter_get_offset at gtktextiter.c:600
 #3 insert_text_cb at a11y/gtktextviewaccessible.c:1778
 #8 gtk_text_buffer_emit_insert at gtktextbuffer.c:936
 #9 insert_text_range at gtktextbuffer.c:1088
 #10 insert_range_untagged at gtktextbuffer.c:1270
 #11 insert_range_not_inside_self at gtktextbuffer.c:1335
 #12 gtk_text_buffer_real_insert_range at gtktextbuffer.c:1412
 #13 paste_from_buffer at gtktextbuffer.c:3609

Potential duplicate: bug 1220468

Comment 1 dakofufi 2018-04-04 19:50:01 UTC
Created attachment 1417400 [details]
File: backtrace

Comment 2 dakofufi 2018-04-04 19:50:02 UTC
Created attachment 1417401 [details]
File: cgroup

Comment 3 dakofufi 2018-04-04 19:50:04 UTC
Created attachment 1417402 [details]
File: core_backtrace

Comment 4 dakofufi 2018-04-04 19:50:05 UTC
Created attachment 1417403 [details]
File: cpuinfo

Comment 5 dakofufi 2018-04-04 19:50:07 UTC
Created attachment 1417404 [details]
File: dso_list

Comment 6 dakofufi 2018-04-04 19:50:08 UTC
Created attachment 1417405 [details]
File: environ

Comment 7 dakofufi 2018-04-04 19:50:09 UTC
Created attachment 1417406 [details]
File: exploitable

Comment 8 dakofufi 2018-04-04 19:50:11 UTC
Created attachment 1417407 [details]
File: limits

Comment 9 dakofufi 2018-04-04 19:50:13 UTC
Created attachment 1417408 [details]
File: maps

Comment 10 dakofufi 2018-04-04 19:50:14 UTC
Created attachment 1417409 [details]
File: open_fds

Comment 11 dakofufi 2018-04-04 19:50:15 UTC
Created attachment 1417410 [details]
File: proc_pid_status

Comment 12 dakofufi 2018-04-04 19:50:17 UTC
Created attachment 1417411 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 07:53:16 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:21:53 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.